body, html{
    padding: 0;
    margin: 0;
}

body{
    width: 100vh;
    height: 100dvh;
    background-color: orangered;
}

.main{
    background-color: white;
    box-shadow: 1px 1px 2px grey;
    border-radius: 10px;
    border-bottom-right-radius: 25%;
    position: absolute;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(5, 100px);
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    height: 60vh;
    width: 90vh;
    padding: 5%;
}

.input{
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
    grid-row: 1;
    gap: 1rem;
    justify-content: center;
    align-items: center;
}

#buttons{
    grid-row: 2;
    grid-column: 5;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

#but{
    height: 60px;
    width: 60px;
    border-radius: 50%;
    background-color: black;
    border: 0;
    color: white;
}

.label{
    display: flex;
    flex-direction: column;
    width: 33.3%;
}

hr{
    grid-row: 2;
    grid-column: 1/5;
}
input{
    width: 11vw;
    height: 4vw;
    border-radius: 5px;
    border: 2px solid lightgrey;
}

input:hover,
#but:hover{
    border: 2px solid orangered;
    cursor: pointer;
}


input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[type=number] {
    -moz-appearance: textfield;
}

.linegrid {
    grid-column: 1/5;
    grid-row: 2;
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: repeat(5, 1fr);
}

.line{
    grid-row: 3;
}

hr{
    border: 1px solid lightgrey;
}

label, input, h1{
    font-family: "Futura", "Arial Black";
    font-variant: small-caps;

}
.outputwindow{
    grid-column: 1/5;
    grid-row: 3/6;
    padding: 0;
    display: flex;
    flex-direction: column;
    height: auto;
    align-items: center;
    line-height: 5px;
}
.daysline, .monthsline, .yearsline{
    display: flex;
    flex-direction: row;
    padding: 0;
    margin: 0;
    font-size: 1.8rem;
}

.monthsNumberField,.daysNumberField,.yearsNumberField{
    color: orangered;
    margin-right: 10px;
}


@media only screen and (max-width: 400px){
    .daysline, .monthsline, .yearsline{
        font-size: 1.5rem;
    }

}

@media only screen and (max-width: 700px){
    html, body{
        overflow: hidden;
        width: 100vw;
    }
    .main{
        height: 60vh;
        width: 80vw;
    }
    #buttons{
        grid-column: 3/4;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }
    .linegrid {
        grid-column: 1/4;
    }

    input{
        width: 16vw;
        height: 10vw;
        border-radius: 5px;
        border: 2px solid lightgrey;
        font-size: 1rem;
    }
}


@media only screen and (700px<width<991px){
    html, body{
        overflow: hidden;
        width: 100vw;
    }
    .main{
        height: 60vh;
        width: 60vw;
    }
    #buttons{
        grid-column: 3/4;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }
    .linegrid {
        grid-column: 1/4;
    }

    input{
        width: 16vw;
        height: 10vw;
        border-radius: 5px;
        border: 2px solid lightgrey;
        font-size: 1.8rem;
    }
    .daysline, .monthsline, .yearsline{
        font-size: 2rem;
    }
}

